.program-window {
  position: absolute !important;
  top: 150px;
  left: 90px;
  z-index: 1;

  width: 800px;
  height: 573px;

  border-radius: 7px;
  border-bottom: 1px solid #28CFE4;

  box-shadow:
    inset 0px 0px 0px 1px #343434,
    inset 0px 0px 0px 2px #FFFFFF,
    1px 1px 2px rgba(0, 0, 0, 0.5);

  background: rgb(152,180,208);
  background: -moz-linear-gradient(top,  rgba(152,180,208,0.2) 0%,rgba(219,231,244,0.2) 20%,rgba(198,218,238,0.2) 21%,rgba(186,209,234,0.2) 22%,rgba(186,209,234,0.2) 100%);
  background: -webkit-linear-gradient(top,  rgba(152,180,208,0.2) 0%,rgba(219,231,244,0.2) 20%,rgba(198,218,238,0.2) 21%,rgba(186,209,234,0.2) 22%,rgba(186,209,234,0.2) 100%);
  background: linear-gradient(to bottom,  rgba(152,180,208,0.2) 0%,rgba(219,231,244,0.2) 20%,rgba(198,218,238,0.2) 21%,rgba(186,209,234,0.2) 22%,rgba(186,209,234,0.2) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#98b4d0', endColorstr='#bad1ea',GradientType=0 );
  backdrop-filter: blur(7px);
}

.program-buttons {
  position: relative;
  width: 100%;
  height: 28px;
  padding-top: 8px;
  display: flex;
  justify-content: flex-end;
}

.program-buttons-minimize, .program-buttons-maximize, .program-buttons-restore, .program-buttons-close {
  width: 28px;
  height: 15px;
  border-radius: 3px;

  padding-bottom: 4px;
  text-align: center;
}

.program-buttons-restore {
  padding-bottom: 3px !important;
}

.program-buttons-minimize, .program-buttons-maximize, .program-buttons-restore {
  width: 28px;
  height: 15px;

  margin-right: 2px;

  box-shadow:
    inset 0px 0px 0px 1px #5D6F88,
    inset 0px 0px 0px 2px #DFE8F2;

    background: rgb(191,211,231);
    background: -moz-linear-gradient(top,  rgba(191,211,231,1) 0%, rgba(191,211,231,1) 50%, rgba(152,177,204,1) 51%, rgba(183,208,233,1) 100%);
    background: -webkit-linear-gradient(top,  rgba(191,211,231,1) 0%,rgba(191,211,231,1) 50%,rgba(152,177,204,1) 51%,rgba(183,208,233,1) 100%);
    background: linear-gradient(to bottom,  rgba(191,211,231,1) 0%,rgba(191,211,231,1) 50%,rgba(152,177,204,1) 51%,rgba(183,208,233,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#bfd3e7', endColorstr='#b7d0e9',GradientType=0 );
}

.program-buttons-minimize:hover, .program-buttons-maximize:hover, .program-buttons-restore:hover {
  background: rgb(170,213,243);
  background: -moz-linear-gradient(top,  rgba(170,213,243,1) 0%, rgba(125,190,233,1) 50%, rgba(45,115,163,1) 51%, rgba(36,198,235,1) 100%);
  background: -webkit-linear-gradient(top,  rgba(170,213,243,1) 0%,rgba(125,190,233,1) 50%,rgba(45,115,163,1) 51%,rgba(36,198,235,1) 100%);
  background: linear-gradient(to bottom,  rgba(170,213,243,1) 0%,rgba(125,190,233,1) 50%,rgba(45,115,163,1) 51%,rgba(36,198,235,1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#aad5f3', endColorstr='#24c6eb',GradientType=0 );

  box-shadow:
    inset 0px 0px 0px 1px #431422,
    inset 0px 0px 0px 2px #85EFF9;
}

.program-buttons-close {
  margin-right: 8px;
  box-shadow:
    inset 0px 0px 0px 1px #431422,
    inset 0px 0px 0px 2px #ECC6C0;

    background: rgb(233,169,156);
    background: -moz-linear-gradient(top,  rgba(233,169,156,1) 0%, rgba(222,146,132,1) 50%, rgba(184,67,44,1) 51%, rgba(213,133,118,1) 100%);
    background: -webkit-linear-gradient(top,  rgba(233,169,156,1) 0%,rgba(222,146,132,1) 50%,rgba(184,67,44,1) 51%,rgba(213,133,118,1) 100%);
    background: linear-gradient(to bottom,  rgba(233,169,156,1) 0%,rgba(222,146,132,1) 50%,rgba(184,67,44,1) 51%,rgba(213,133,118,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e9a99c', endColorstr='#d58576',GradientType=0 );
}

.program-buttons-close:hover {
  background: rgb(252,200,191);
  background: -moz-linear-gradient(top,  rgba(252,200,191,1) 0%, rgba(250,164,149,1) 50%, rgba(210,35,2,1) 51%, rgba(249,234,133,1) 100%);
  background: -webkit-linear-gradient(top,  rgba(252,200,191,1) 0%,rgba(250,164,149,1) 50%,rgba(210,35,2,1) 51%,rgba(249,234,133,1) 100%);
  background: linear-gradient(to bottom,  rgba(252,200,191,1) 0%,rgba(250,164,149,1) 50%,rgba(210,35,2,1) 51%,rgba(249,234,133,1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fcc8bf', endColorstr='#f9ea85',GradientType=0 );

  box-shadow:
    inset 0px 0px 0px 1px #431422,
    inset 0px 0px 0px 2px #F9EA85;
}

.program-navigation {
  position: relative;
  width: 100%;
  height: 30px;
  display: flex;
  align-self: center;
}

.button-back, .button-forward {
  width: 25px;
  height: 25px;
  border-radius: 25px;
  background-repeat: no-repeat;
  background-size: 25px 25px;
  margin-top: 2px;
  margin-right: 3px;
  float: left;

  box-shadow: 0 0 1px 1px #000000;
}

.button-back {
  background-image:  url("PROGRAMS/SHARED/IMAGES/button-back.png");
  margin-left: 9px;
}

.button-forward {
  background-image: url("PROGRAMS/SHARED/IMAGES/button-forward.png");
}

.program-navigation-address {
  display: flex;
  align-self: center;
  width: calc(100% - 75px);
  padding: 1px 2px;;
  border-radius: 3px;

  background-color: #ECF2F9;
  box-shadow:
    inset 0px 0px 0px 1px #CFDFF1,
    inset 0px 0px 0px 2px #53595E;

  color: #000000;
}

.program-navigation-address > img {
  width: 14px;
  height: 14px;
  margin: 2px;
}

.program-window-container {
  position: relative;
  overflow-y: scroll;
  overflow-x: hidden;
  margin: auto;

  background-color: #FFFFFF;
  border: 1px solid #CCCCCC;
}

#program-personalization-window {
  padding: 25px 100px 0px;
  height: calc(100% - 142px);
  width: calc(100% - 218px);
}

#program-personalization-wallpapers {
  position: relative;
  width: calc(100% - 26px);
  min-height: 250px;
  max-height: calc(100% - 165px);
  overflow-y: scroll;

  padding: 5px 13px;
  margin: 17px 0px;

  border: 1px solid #646464;
}

#program-personalization-wallpapers > img {
  width: 89px;
  height: 67px;
  padding: 3px;
  border: 1px solid #C3C3C3;
  margin-right: 40px;
  margin-bottom: 35px;
}

#program-personalization-wallpapers > img:hover, #program-personalization-wallpapers > img.selected  {
  border-radius: 3px;
  background-color: #D7F0FD;

  box-shadow:
    inset 0px 0px 0px 1px #9ADFFE,
    inset 0px 0px 0px 2px #E8F6FE,
}

#program-personalization-position {
  margin-top: 12px;

  display: flex;
  align-items: center;
}

#program-personalization-position > img {
  margin-left: 14px;
  margin-right: 25px
}

.program-window-confirmation {
  position: absolute;
  left: 7px;
  bottom: 7px;
  width: calc(100% - 114px);
  height: 42px;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  padding-right: 100px;

  background-color: #F0F0F0;
}

#program-explorer-window {
  height: calc(100% - 76px);
  overflow: hidden;
  width: calc(100% - 16px);
}

.program-explorer-header {
  background: linear-gradient(to bottom, #83acc0 0%,#0b5476 50%,#3f7f9d 50%,#4e96aa 100%);
  color: #FFFFFF;
  border: 1px solid rgba(147,203,196,0.5);
  line-height: 30px;
  height: 30px;
  padding: 0px 7px;
}

.program-explorer-header img {
  vertical-align: middle;
}

.program-explorer-content {
  border-top: 1px solid #022841;
  display: flex;
  height: calc(100% - 108px);
}

.program-explorer-footer {
  bottom: 0px;
  background: linear-gradient(to bottom, rgba(200,216,228,1) 0%,rgba(242,250,253,0) 8px,rgba(242,250,253,0) 100%), linear-gradient(to right, #f3fbfe 0%,#bbd0f0 100%);
  border-top: 1px solid #9DB6C5;
  padding: 9px 4px;
  height: 76px;
}

.program-explorer-footer img {
  float: left;
  margin-right: 18px;
}

.program-explorer-links {
  border-right: 1px solid #A7BAC5;
  flex-shrink: 0;
  padding: 12px;
  width: 134px;
  overflow-y: auto;
}

.program-explorer-links h2:first-of-type {
  color: #8B8B8B;
  margin-bottom: 10px;
}

.program-explorer-links h2 {
  color: #0066C2;
  margin-bottom: 0;
  font-size: 12px;
}

.program-explorer-links h2 img {
  vertical-align: middle;
}

.program-explorer-table {
  border: none;
  color: #000000;
  border-spacing: 0px;
  display: block;
  height: fit-content;
  min-width: calc(100% - 160px);
  max-height: 100%;
  overflow: auto;
  margin-left: 1px;
}

.program-explorer-table thead{
  background: linear-gradient(to bottom, #ffffff 0%,#ffffff 9px,#f7f8fa 9px,#f1f2f4 100%);
  height: 12px;
}

.program-explorer-table th {
  border: 1px solid #DFE0E2;
  border-top: none;
  padding: 6px;
  white-space: nowrap;
}

.program-explorer-table td {
  border: none;
  padding: 1px 6px;
  white-space: nowrap;
}

.program-explorer-table td img {
vertical-align: middle;
}

.program-explorer-table td:last-child {
  width: 99%;
}

